# Class FastLeaderElection.Notification

java.lang.Object
org.apache.zookeeper.server.quorum.FastLeaderElection.Notification

Enclosing class:
  `FastLeaderElection`

public static class FastLeaderElection.Notification extends Object
Notifications are messages that let other peers know that a given peer has changed its vote, either because it has joined leader election or because it learned of another peer with higher zxid or same zxid and higher server id

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CURRENTVERSION`

## Constructor Summary

Constructors
Constructor
Description
`Notification()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CURRENTVERSION

public static final int CURRENTVERSION

See Also:
  - Constant Field Values

## Constructor Details

### Notification

public Notification()